var htmlparser = require("htmlparser2");
var fs = require("fs");

var currentBlock;

var blocks = [];

var parser = new htmlparser.Parser({
    oncomment: function(data) {
        var data = data.trim();
        var comma = data.indexOf(":");

        if (comma > 0 && data.substring(0, comma) === "build") {
            var space = data.indexOf(" ", comma);
            var file = data.substring(space + 1)

            currentBlock = {
                type: data.substring(comma + 1, space),
                name: file,
                files: []
            };
        }

        if (data === 'endbuild') {
            if (currentBlock) {
                blocks.push(currentBlock);
                currentBlock = null;
            }
        }
    },

    onopentag: function(name, attrs) {
        if (!currentBlock) return;
        if (name === "script") {
            currentBlock.files.push(attrs.src);
        }
        if (name === "link") {
            currentBlock.files.push(attrs.href);
        }
    },

    onend: function() {
        console.log('boom', blocks);
    }
});

parser.write(fs.readFileSync("test.html"));

parser.end();
